%define qtdir /usr/lib/qt-1.45

Name: kpackage
Summary: Kpackage is a graphical RPM package manager for KDE.
Version: 1.3.10
Release: 7j1
Source:  ftp://ftp.kde.org/pub/kde/stable/1.1.2/apps/admin/kpackage-%{version}.tgz
Source1: kpackage.console
Source2: kpackage.pamd
Patch0: kpackage-1.3.10-rh.patch
Patch1: kpackage-1.3.10-rpm304.patch
Patch2: kpackage-1.3.10-rpm4.patch
URL: http://www.general.uwa.edu.au/u/toivo/kpackage/
Group: Applications/System
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-root
Requires: kdesupport /usr/bin/consolehelper
Prefix: /usr
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
ExcludeArch: ia64

%description
Kpackage is a GUI interface to the RPM, Debian, Slackware and BSD package
managers, it is similar in some ways to GLINT. Kpackage is part of the K
Desktop Environment and, as a result, it was designed from the outset
to integrate with the KDE file manager.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p1 -b .rh
%patch1 -p1 -b .rpm304
%patch2 -p1 -b .rpm4

%build
make -f Makefile.dist
export QTDIR=%{qtdir}
export KDEDIR=/usr
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%endif
%configure \
	--prefix=/usr \
	--with-extra-includes=/usr/include/rpm \
	--with-install-root=$RPM_BUILD_ROOT \
	--with-rpm

make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG" CFLAGS="$RPM_OPT_FLAGS"

%install
make install-strip

mkdir -p $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/usr/bin/kpackage \
	$RPM_BUILD_ROOT/usr/sbin/kpackage
ln -sf consolehelper $RPM_BUILD_ROOT/usr/bin/kpackage

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_DIR/file.list.%{name}

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
install %{SOURCE1} $RPM_BUILD_ROOT/etc/security/console.apps/kpackage
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/kpackage

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name} 
%defattr(-,root,root)
%config(noreplace) /etc/security/console.apps/kpackage
%config(noreplace) /etc/pam.d/kpackage

%changelog
* Wed Oct 18 2000 Matt Wilson <msw@redhat.com>
- rebuilt against qt1x+i18n patch

* Wed Oct 11 2000 Than Ngo <than@redhat.com>
- fix uninstall problem (Bug #18582)

* Sun Sep 17 2000 Than Ngo <than@redhat.com>
- fix dumps core when choosing file list (Bug #16590)

* Fri Aug 11 2000 Bill Nottingham <notting@redhat.com>
- defattr

* Tue Aug  1 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- restore the package
- support RPM v4
- ExcludeArch ia64 for now

* Mon Jan 10 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Actually make it *work*, not just compile, with RPM 3.0.4 ;)

* Sat Jan  8 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix compilation with rpm 3.0.4 snapshots
- Fix build on alpha/libtool 1.3.4
- rebuild for 6.2

* Tue Nov 30 1999 Preston Brown <pbrown@redhat.com>
- 1.3.10, added docdir.

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- added fallback line to console helper config file

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- made a console-helper application

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- adopted for our 6.1 release.
